Star Control Discussion Board Community Forum Software Upgrade

Post a reply

Smilies
:D :) ;) :( :o :shock: :? 8-) :lol: :x :P :oops: :cry: :evil: :twisted: :roll: :!: :?: :idea: :arrow: :| :mrgreen: :geek: :ugeek: :)-smf ;)-smf :D-smf ;D-smf >:(-smf :(-smf :o-smf 8)-smf ???-smf ::)-smf :P-smf :-[-smf :-X-smf :-\-smf :-*-smf :'(-smf >:D-smf ^-^-smf O0-smf

BBCode is ON
[img] is ON
[flash] is OFF
[url] is ON
Smilies are ON

Topic review
   

Expand view Topic review: Star Control Discussion Board Community Forum Software Upgrade

Re: Star Control Discussion Board Community Forum Software Upgrade

by Serosis » Thu Aug 02, 2018 11:32 am

Well that's a better response than the admin of the UQM forum rolling back the PHP version to keep the old SMF version working.

Here's to many more years of PoNaF!

Re: Star Control Discussion Board Community Forum Software Upgrade

by Scott Irving » Sat Jul 28, 2018 10:50 pm

Thanks for getting that fixed! Since my wee one was born a year ago I've had even less time to do anything..

Re: Star Control Discussion Board Community Forum Software Upgrade

by Frumple » Fri Jul 27, 2018 10:45 pm

I would like to bring back as much as I can.

Re: Star Control Discussion Board Community Forum Software Upgrade

by Shiver » Fri Jul 27, 2018 10:28 pm

The previous layout had charm. I'm guessing that's not coming back? :(

Re: Star Control Discussion Board Community Forum Software Upgrade

by krulle » Fri Jul 27, 2018 5:37 am

I am astonished. It worked "overnight"...
Congrats to an apparently successful move!

Star Control Discussion Board Community Forum Software Upgrade

by Frumple » Fri Jul 27, 2018 2:45 am

Hello,

Earlier today I was notified of php errors on the board. The issue was that phpBB 3.0.x and 3.1.x were using preg_replace with the /e modifier, which is deprecated in PHP7.

Anyways, the translation is that the Star Control Discussion Board Community Forum software was using a really old version of phpBB.

To fix the problem, and take care of a very delayed software upgrade maintenance task, I had to upgrade to the latest version of phpBB.
  • The Good News: I think the errors are fixed.
  • The Bad News: things will look different and may work differently... from their install notes:
Upgrading to phpBB 3.2 will render previously installed MODifications and styles unusable.

phpBB 3.2 is not compatible with 3.0 and most of the previous files will need to be removed prior to upgrading.
I am sorry for the troubles but, hey, the upgrade worked! :mrgreen:

Top